package de.szut.lf8_starter.project;

import de.szut.lf8_starter.project.dto.CreateProjectDto;
import de.szut.lf8_starter.project.dto.GetProjectDto;
import org.springframework.stereotype.Service;

@Service
public class ProjectMapper {
    public ProjectEntity mapCreateDtoToEntity(CreateProjectDto createProjectDto) {
        ProjectEntity projectEntity = new ProjectEntity();

        projectEntity.setName(createProjectDto.getName());
        projectEntity.setComment(createProjectDto.getComment());
        projectEntity.setLeadingEmployee(createProjectDto.getLeadingEmployee());
        projectEntity.setEmployees(createProjectDto.getEmployees());
        projectEntity.setContractor(createProjectDto.getContractor());
        projectEntity.setContractorName(createProjectDto.getContractorName());
        projectEntity.setStartDate(createProjectDto.getStartDate());
        projectEntity.setPlannedEndDate(createProjectDto.getPlannedEndDate());
        projectEntity.setEndDate(createProjectDto.getEndDate());

        return projectEntity;
    }

    public GetProjectDto mapToGetDto(ProjectEntity projectEntity) {
        GetProjectDto getProjectDto = new GetProjectDto();

        getProjectDto.setName(projectEntity.getName());
        getProjectDto.setComment(projectEntity.getComment());
        getProjectDto.setLeadingEmployee(projectEntity.getLeadingEmployee());
        getProjectDto.setEmployees(projectEntity.getEmployees());
        getProjectDto.setContractor(projectEntity.getContractor());
        getProjectDto.setContractorName(projectEntity.getContractorName());
        getProjectDto.setStartDate(projectEntity.getStartDate());
        getProjectDto.setPlannedEndDate(projectEntity.getPlannedEndDate());
        getProjectDto.setEndDate(projectEntity.getEndDate());

        return getProjectDto;
    }
}
